<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

$textl .= ' | Удаление';
require_once('../incfiles/head.php');

if (!$forum){
  echo functions::display_error('Отсутствует идентиикатор форума!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

if ($rights < 9){
  echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

$tree = array('<a href="index.php">Форум</a>', '<a href="index.php?forum='.$forumRes['forum'].'">'.functions::checkout($forumRes['forumname']).'</a>', 'Удалить форум');
echo '<div class="phdr">'.functions::display_menu($tree).'</div>';

if (isset($_GET['movetopics']) && $forum){
  if (isset($_POST['send'])){
    if (empty($_POST['forum']))
      $error .= 'Неверные данные!<br /><a href="index.php">Форум</a>';
      if (!$error){
        $forumName = mysql_fetch_assoc(mysql_query("SELECT `forumname` FROM `forum_forums` WHERE `forum` = '".abs(intval($_POST['forum']))."' LIMIT 1 "));
        mysql_query("UPDATE `forum_topics` SET
        `forum` = '".abs(intval($_POST['forum']))."',
        `forumname` = '".mysql_real_escape_string($forumName['forumname'])."'
        WHERE `forum` = '$forum' ");
        
        $lastTopic = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_topics` WHERE `forum` = '".abs(intval($_POST['forum']))."' ORDER BY `time` DESC LIMIT 1 "));
        mysql_query("UPDATE `forum_forums` SET
        `last_topic` = '".$lastTopic['topic'].":|:".$lastTopic['topicname'].":|:".$lastTopic['time']."',
        `count` = count + ".$forumRes['count']." WHERE `forum` = '".abs(intval($_POST['forum']))."' LIMIT 1 ");
        
        mysql_query("UPDATE `forum_forums` SET
        `last_topic` = '',
        `count` = '0' WHERE `forum` = '$forum' LIMIT 1 ");

        echo '<div class="gmenu">Темы перенесены</div>';
      }else{
        echo functions::display_error($error);
      }  
  }else{
    echo '<form name="form" action="index.php?act=delforum&amp;forum='.$forum.'&amp;movetopics" method="post"><div class="list1">Переместить темы в: <select name="forum">';
    
    $req = mysql_query("SELECT * FROM `forum_forums` WHERE `type` = '1' ORDER BY `sort` ASC ");
    while ($res = mysql_fetch_assoc($req)){
      if ($res['parent'])
        $parentForum = mysql_fetch_assoc(mysql_query("SELECT `forumname` FROM `forum_forums` WHERE `forum` = '".$res['parent']."' LIMIT 1 "));
      echo '<option value="'.$res['forum'].'"'.($res['forum'] == $forum ? ' selected="selected"' : '').'>'.functions::checkout($res['forumname']).($res['parent'] ? ' ('.functions::checkout($parentForum['forumname']).')' : '').'</option>';
    }
    echo '</select><br /><input type="submit" name="send" value="Переместить" /></div></form>';
    
    require_once('../incfiles/end.php');
    exit;
  }
}

if (isset($_POST['yes'])){
  if ($forumRes['type'] == 0 && $forumRes['count'])
    $error = 'Сначала удалите подфорумы!<br /><a href="index.php?forum='.$forum.'">Форум</a>';

  if ($forumRes['type'] == 1 && $forumRes['count'])
    $error = 'Сначала удалите или перенесите темы!<br /><a href="index.php?act=delforum&amp;forum='.$forum.'&amp;movetopics">Перенести темы</a> | <a href="index.php">Форум</a>';
  if (!$error){
    if ($forumRes['parent'])
      mysql_query("UPDATE `forum_forums` SET `count` = count - 1 WHERE `forum` = '".$forumRes['parent']."' LIMIT 1 ");
    if (file_exists(('../files/forum/icons/'.$forum.'.png')))
      unlink('../files/forum/icons/'.$forum.'.png');
    mysql_query("DELETE FROM `forum_forums` WHERE `forum` = '$forum' LIMIT 1 ");
    header ('Refresh:1; URL=index.php');
    echo '<div class="gmenu">Форум удален<br /><a href="index.php">Форум</a></div>';
  }else{
    echo functions::display_error($error);
  }
}else{
  echo '<form action="index.php?act=delforum&amp;forum='.$forum.'" method="post"><div class="rmenu">Вы действительно хотите удалить форум?<br /><input type="submit" name="yes" value="Удалить" /> <a href="index.php">Отмена</a></div></form>';
}